import { ElementRef, EventEmitter, OnInit, Renderer2, TemplateRef, ViewContainerRef } from '@angular/core';
import { CdkOverlayOrigin, Overlay, OverlayConfig, OverlayRef } from '@angular/cdk/overlay';
import { TemplatePortal } from '@angular/cdk/portal';
export declare class DrawerComponent implements OnInit {
    private renderer;
    private overlay;
    private elementRef;
    private viewContainerRef;
    origin: CdkOverlayOrigin;
    overlayRef: OverlayRef;
    portal: TemplatePortal;
    isOpen: boolean;
    readonly transform: string;
    readonly width: string;
    drawerTemplate: TemplateRef<{}>;
    atClosable: boolean;
    atMaskClosable: boolean;
    atMask: boolean;
    atTitle: string | TemplateRef<{}>;
    atMaskStyle: object;
    atBodyStyle: object;
    atWrapClassName: string;
    atWidth: number | string;
    atPlacement: 'left' | 'right';
    atZIndex: number;
    atOffsetX: number;
    atOnClose: EventEmitter<MouseEvent>;
    atVisible: boolean;
    isNonEmptyString(value: {}): boolean;
    isTemplateRef(value: {}): boolean;
    constructor(renderer: Renderer2, overlay: Overlay, elementRef: ElementRef, viewContainerRef: ViewContainerRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    attachOverlay(): void;
    disposeOverlay(): void;
    getOverlayConfig(): OverlayConfig;
    updateOverlayStyle(): void;
    close(e?: MouseEvent): void;
    maskClick(e: MouseEvent): void;
}
